org.apache.ignite.logger.log4j

## Class Log4JExternallyRolledFileAppender

- java.lang.Object
- - org.apache.log4j.AppenderSkeleton
  - - org.apache.log4j.WriterAppender
    - - org.apache.log4j.FileAppender
      - - org.apache.log4j.RollingFileAppender
        - - org.apache.log4j.varia.ExternallyRolledFileAppender
          - - org.apache.ignite.logger.log4j.Log4JExternallyRolledFileAppender

- All Implemented Interfaces:
    org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

      public class Log4JExternallyRolledFileAppender
      extends org.apache.log4j.varia.ExternallyRolledFileAppender

  Log4J `ExternallyRolledFileAppender` with added support for grid node IDs.

- - ### Field Summary

    - ### Fields inherited from class org.apache.log4j.varia.ExternallyRolledFileAppender

      `OK, ROLL_OVER`

    - ### Fields inherited from class org.apache.log4j.RollingFileAppender

      `maxBackupIndex, maxFileSize`

    - ### Fields inherited from class org.apache.log4j.FileAppender

      `bufferedIO, bufferSize, fileAppend, fileName`

    - ### Fields inherited from class org.apache.log4j.WriterAppender

      `encoding, immediateFlush, qw`

    - ### Fields inherited from class org.apache.log4j.AppenderSkeleton

      `closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Log4JExternallyRolledFileAppender()` Default constructor (does not do anything).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setFile(String fileName, boolean fileAppend, boolean bufIO, int bufSize)`
    `void` | `updateFilePath(IgniteClosure<String,String> filePathClos)` Sets closure that later evaluate file path.

    - ### Methods inherited from class org.apache.log4j.varia.ExternallyRolledFileAppender

      `activateOptions, getPort, setPort`

    - ### Methods inherited from class org.apache.log4j.RollingFileAppender

      `getMaxBackupIndex, getMaximumFileSize, rollOver, setMaxBackupIndex, setMaxFileSize, setMaximumFileSize, setQWForFiles, subAppend`

    - ### Methods inherited from class org.apache.log4j.FileAppender

      `closeFile, getAppend, getBufferedIO, getBufferSize, getFile, reset, setAppend, setBufferedIO, setBufferSize, setFile`

    - ### Methods inherited from class org.apache.log4j.WriterAppender

      `append, checkEntryConditions, close, closeWriter, createWriter, getEncoding, getImmediateFlush, requiresLayout, setEncoding, setErrorHandler, setImmediateFlush, setWriter, shouldFlush, writeFooter, writeHeader`

    - ### Methods inherited from class org.apache.log4j.AppenderSkeleton

      `addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setLayout, setName, setThreshold`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Log4JExternallyRolledFileAppender

          public Log4JExternallyRolledFileAppender()

      Default constructor (does not do anything).

  - ### Method Detail

    - #### updateFilePath

          public void updateFilePath(IgniteClosure<String,String> filePathClos)

      Sets closure that later evaluate file path.
      Parameters:
        `filePathClos` - Closure that generates actual file path.

    - #### setFile

          public void setFile(String fileName,
                              boolean fileAppend,
                              boolean bufIO,
                              int bufSize)
                       throws IOException

      Overrides:
        `setFile` in class `org.apache.log4j.RollingFileAppender`
      Throws:
        `IOException`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021